​
Select Service
ves-io-schema-service_policy-API-Get
Published April 5, 2023 | Last modified October 2, 2026
Examples of getting service_policy
Usecase:
Get service-policy-1
Request using vesctl:
vesctl configuration get service_policy service-policy-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: service-policy-1 namespace: documentationreferringObjects: []resourceVersion: "2953"spec: denyAllRequests: {} rules: [] serverSelector: expressions: - geoip.ves.io/region in (US-West), deployment in (testing) simpleRules: []status: []systemMetadata: creationTimestamp: "2026-09-28T04:26:49.919101Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 7656b368-f7bc-4afa-a559-ba3b255291ebRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/service_policys/service-policy-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1090Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:26:49 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "2953", "metadata": { "name": "service-policy-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "7656b368-f7bc-4afa-a559-ba3b255291eb", "creation_timestamp": "2026-09-28T04:26:49.919101Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "algo": "FIRST_MATCH", "server_selector": { "expressions": [ "geoip.ves.io/region in (US-West), deployment in (testing)" ] }, "port_matcher": null, "rules": [ ], "deny_all_requests": {
}, "simple_rules": [ ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}